Bug 812217 - [abrt] tracker-0.14.0-1.fc17: strncmp: Process /usr/libexec/tracker-miner-fs was killed by signal 11 (SIGSEGV)
[abrt] tracker-0.14.0-1.fc17: strncmp: Process /usr/libexec/tracker-miner-fs ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:91d114bd905a2d84b22862c2ae5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 02:41 EDT by Christoph Brill
Modified: 2013-01-26 14:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 03:51:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (5.42 KB, text/plain)
2012-04-13 02:41 EDT, Christoph Brill
no flags Details
File: maps (26.64 KB, text/plain)
2012-04-13 02:41 EDT, Christoph Brill
no flags Details
File: backtrace (89.02 KB, text/plain)
2012-04-13 02:41 EDT, Christoph Brill
no flags Details

  None (edit)
Description Christoph Brill 2012-04-13 02:41:27 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-miner-fs
crash_function: strncmp
executable:     /usr/libexec/tracker-miner-fs
kernel:         3.3.1-3.fc17.x86_64
pid:            7082
remote_result:  NOTFOUND
time:           Mi 11 Apr 2012 13:27:16 CEST
var_log_messages: Apr 11 13:27:21 christoph abrt[5228]: Saved core dump of pid 7082 (/usr/libexec/tracker-miner-fs) to /var/spool/abrt/ccpp-2012-04-11-13:27:16-7082 (87207936 bytes)

backtrace:      Text file, 91155 bytes
dso_list:       Text file, 5551 bytes
maps:           Text file, 27277 bytes

build_ids:
:b033b2025009f19c9e322929810998f45cf483f6
:0932c710a0651cc6ba625234790de9b8fc954c63
:174e128892385c6bb2b4e4a4213d31f9dc49466f
:4ce063a57dad908a18da43695bf7138792954038
:319cdef60fb38ea411fb398b608189e006d365e7
:a7c425441a5008369d4a8a3e1238dcde3f6d99c9
:ad6b8fd26cbc2b12ed9a42508c1ea7cc56036976
:d2f6b6a2125b0c360462ce6b6b7de8144e351da1
:c4ec0971b2dcee71aaf8374975474054245fea00
:480ab8eb1776770bb90f2a47cc2f0258848f1cdd
:fa109822e1dfe3c97963318f0a110695ed11430d
:a625841a963b5765aa9c0b4f827a8235f2697ccc
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:49ff2bf2bc331d1033b5e96f3b4372347889ba17
:1c942a449ab4b8f87bfd2923fdad46aca0fe0f7b
:ae74f1bdcd89bba7375a344fac1a8ffb3152a26b
:b1e3a6defd2119a017e2c5b43fbaf7d48d46a9cd
:c33078ce2af3b19c35d4e80fe94be13287ebbaf8
:6419b38400feb8414d331a1f2deebb0012d0d72e
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d
:70f10a584fcf32ef4994cc1bc209964515ad49c9
:3deed610a4a5e058c663c5800450b5cfe9c37a75
:10818e21ba84b6897ec8d7ed3db9e94c71a12e41
:350920b52e92655cdb258fa5f96fe7004ad07a52
:093bb56117e9818caa13d7a83e4975d5477533c5
:63651cdc0224824a9c9324c77c3b5887378e871d
:816a568132698192f252ff462ca0c988434bf8b3
:92a4af5e74d0085fafe46916e053873ef13fc345
:adb8cce623092da5c6812cf4e20b6f97e3ebd5b1
:8d72d96e568ee72b2fe9a478eb54ad2d289bbcd8
:516400711cc3bd73da0013ec0c6c7c1606f89965
:822e9b3523e8312240f41a25722d539bc77ed436
:43e802edbd186e29d41682d64c96cb992b659094
:bdeef99c03257f7d05bd5eb08af2e22a68635a50
:5da8d295014010dcaf44014dbeb291b3026af3e7
:d3619119ad0d25ba83ce046971658a86199deb1c
:fe58d8fb04b8db326ab41ab7a98b0f3b73e06618
:03a3531257193c88ade30f23f9dc93545fa5397d
:5b7cdec9dba117156a6e5568a103fb5b44087566
:7c35310fc506498c612d5d982ab03becc4b4817c
:11d196ee9220c6039404f4ba675abf3a24d8f0aa
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:fc0dbdb3dc7f13b00e9c5975adc55256920871b5
:d804f8ee47797da9213a92f00cd095ecada8d79f
:c03bacbe6f25eefdf455852b87a6f28b92d86576
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:aaa1236e690a9d2f230ade4b8d4387c22200ba9f
:99652f3a506c1318df975b58b394d4e863370633
:5ff1c46944f885545e872f1b19b2d15a1ee8f667
:1ae3713cde85e9464ebaec5c8d774e8f57d7f8d4
:46eb8c83b266e03b4d2d37c5ac56accdee78c113
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:9e27816c18322e53c8465a18aa3a8043f3434781
:36b44cb9b031a0994ccdf2039a4baf221a0f00d6
:63b8b24e78f9956bfba3d0a95500d9a25e21d594
:6f2ff4e6a028c4518c441caeb0f433bea79ac545

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/cbrill/4

core_backtrace:
:11d196ee9220c6039404f4ba675abf3a24d8f0aa 0x13b48c __strncmp_ssse3 libc.so.6 -
:3deed610a4a5e058c663c5800450b5cfe9c37a75 0x1f66b - libtracker-miner-0.14.so.0 -
:3deed610a4a5e058c663c5800450b5cfe9c37a75 0x1f7b3 - libtracker-miner-0.14.so.0 -
:3deed610a4a5e058c663c5800450b5cfe9c37a75 0x2069e tracker_file_system_unset_property libtracker-miner-0.14.so.0 -
:3deed610a4a5e058c663c5800450b5cfe9c37a75 0x1dd38 - libtracker-miner-0.14.so.0 -
:3deed610a4a5e058c663c5800450b5cfe9c37a75 0x1df5c - libtracker-miner-0.14.so.0 -
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d 0x116a9 g_cclosure_marshal_VOID__BOOLEANv libgobject-2.0.so.0 -
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d 0xf923 - libgobject-2.0.so.0 -
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d 0x27d68 g_signal_emit_valist libgobject-2.0.so.0 -
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d 0x287a2 g_signal_emit libgobject-2.0.so.0 -
:3deed610a4a5e058c663c5800450b5cfe9c37a75 0xdeb8 - libtracker-miner-0.14.so.0 -
:fa109822e1dfe3c97963318f0a110695ed11430d 0x475bc g_main_context_dispatch libglib-2.0.so.0 -
:fa109822e1dfe3c97963318f0a110695ed11430d 0x479d8 - libglib-2.0.so.0 -
:fa109822e1dfe3c97963318f0a110695ed11430d 0x47dd2 g_main_loop_run libglib-2.0.so.0 -
:b033b2025009f19c9e322929810998f45cf483f6 0xa4b2 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=4
:HOSTNAME=christoph
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:ANDROID_SWT=/usr/lib64/eclipse
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=100000
:XDG_SESSION_COOKIE=362d3939fca0acf1651d54cd00000010-1334135114.311959-1623063301
:GNOME_KEYRING_CONTROL=/run/user/cbrill/keyring-oJQIlN
:IMSETTINGS_MODULE=none
:HISTFILESIZE=1000000
:USER=cbrill
:USERNAME=cbrill
:MAIL=/var/spool/mail/cbrill
:PATH=/usr/lib64/ccache:/opt/android-sdk-update-manager/tools:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/cbrill/.local/bin:/home/cbrill/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/cbrill
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=6844
:LANG=de_DE.utf8
:GDM_LANG=de_DE.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/cbrill
:SHLVL=1
:LOGNAME=cbrill
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-1lscmvRYDE,guid=1ae8b8b77fedd2aba9ca58d300001292
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/cbrill
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-cbrill-z8xm4R/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/6853,unix/unix:/tmp/.ICE-unix/6853
:GPG_AGENT_INFO=/run/user/cbrill/keyring-oJQIlN/gpg:0:1
:SSH_AUTH_SOCK=/run/user/cbrill/keyring-oJQIlN/ssh
:LC_TIME=de_DE.utf8
:LC_NUMERIC=de_DE.utf8
:LC_MONETARY=de_DE.utf8
:LC_MEASUREMENT=de_DE.utf8
:DESKTOP_AUTOSTART_ID=10e161f1418b43adce133413511596278700000068530020

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31417                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31417                31417                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/cbrill/.xsession-errors
:pos:	47410
:flags:	0102002
:2:/home/cbrill/.xsession-errors
:pos:	47410
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[24319]
:pos:	0
:flags:	02004002
:6:anon_inode:inotify
:pos:	0
:flags:	02004000
:7:/home/cbrill/.local/share/tracker/tracker-miner-fs.log
:pos:	173315
:flags:	0102001
:8:socket:[25401]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
Comment 1 Christoph Brill 2012-04-13 02:41:31 EDT
Created attachment 577241 [details]
File: dso_list
Comment 2 Christoph Brill 2012-04-13 02:41:34 EDT
Created attachment 577242 [details]
File: maps
Comment 3 Christoph Brill 2012-04-13 02:41:36 EDT
Created attachment 577243 [details]
File: backtrace
Comment 4 Patrick Bregman 2012-05-01 05:13:02 EDT
My best guess is that I made a faulty symlink in a dir on my $PATH

backtrace_rating: 4
Package: tracker-0.14.0-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Fedora Update System 2012-05-20 01:51:05 EDT
tracker-0.14.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tracker-0.14.1-1.fc17
Comment 6 Fedora Update System 2012-05-20 14:33:52 EDT
Package tracker-0.14.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tracker-0.14.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8171/tracker-0.14.1-1.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-05-26 03:51:13 EDT
tracker-0.14.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 vikram goyal 2012-07-11 23:35:55 EDT
I am still getting the crashes & the current version of the package is:

tracker-0.14.1-1.fc17.x86_64

So I think the issue still persists. Please note bugzilla is not taking in new crash reports with the following message:

--- Running report_Bugzilla ---
Logging into Bugzilla at https://bugzilla.redhat.com
Checking for duplicates
Bug is already reported: 812217
Logging out
Status: CLOSED ERRATA https://bugzilla.redhat.com/show_bug.cgi?id=812217


Thanks,
Comment 9 Brian J. Murrell 2012-11-29 19:20:56 EST
Like vikram I'm still getting this on tracker-0.14.4-1.fc17.x86_64.  This bug needs to be re-opened or abrt fixed to not mis-file the current bug as this one.
Comment 10 Arik Kfir 2013-01-07 11:56:29 EST
Happened to me today.
Comment 11 Milan Bouchet-Valat 2013-01-26 14:09:25 EST
Also seen on F18, so definitely not closed!
Comment 12 Brian J. Murrell 2013-01-26 14:12:33 EST
Per the most recent reports, can we get this bug reopened and the Version(s): tag updated to 18, please?

Note You need to log in before you can comment on or make changes to this bug.